---
title: "Submit New Loan Request"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/newLoan1"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Submit New Loan Request

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/newloan`

Operation ID: `newLoan1`

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required)

## Request body (required)

Content types: `application/json`

## Responses

- `202` - Submit Transaction Successful
- `500` - Internal server error. Please check server logs for more details.

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/newloan:
    post:
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
      tags:
        - Financial Transactions
      summary: Submit New Loan Request
      operationId: newLoan1
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/NewLoanRequest"
        required: true
      responses:
        "202":
          description: Submit Transaction Successful
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionAcceptedResponse"
        "500":
          description: Internal server error. Please check server logs for more details.
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    NewLoanRequest:
      type: object
      allOf:
        - $ref: "#/components/schemas/NewLoan"
      properties:
        caseId:
          type: string
          example: CA0000007389
          description: Zinnia Live Case ID
    TransactionAcceptedResponse:
      type: object
      properties:
        correlationId:
          type: string
          example: 3a2a3435-2089-4b81-9959-e0d569ccf4f0
          description: Unique identifier which used by every system to trace the request
        caseId:
          type: string
          example: CA0000369469
          description: Zinnia Live Case ID
        caseStatus:
          type: string
          example: IN_PROGRESS
          description: Zinnia Live Case Status
        pdfId:
          type: string
          description: Identifier for the generated or associated PDF document (e.g.
            OnBase document number). Returned on systematic program setup and
            update submit when available.
          example: DOC-10004567
    NewLoan:
      type: object
      properties:
        correlationId:
          type: string
          example: 657b717b7dcf554abf9ef067
          description: The unique ID to track transaction request across all systems
        effectiveDate:
          type: string
          format: date
          description: Date (with pattern "yyyy-mm-dd") when the transaction was
            originally scheduled or expected to happen, can be a non-business
            day
        reverseInitiator:
          type: boolean
          description: Property to isolate source transaction(s) that initiated the reversal
        transactionAmounts:
          $ref: "#/components/schemas/AdhocTransactionAmount"
        fundAllocation:
          $ref: "#/components/schemas/AdhocFundAllocation"
        taxWithholdingInstructions:
          type: array
          items:
            allOf:
              - $ref: "#/components/schemas/TaxWithholdingInstructions"
              - type: object
                properties:
                  partyRole:
                    $ref: "#/components/schemas/PartyRole"
        parties:
          type: array
          items:
            $ref: "#/components/schemas/AdhocDisbursementParty"
      required:
        - effectiveDate
        - transactionAmounts
        - fundAllocation
        - taxWithholdingInstructions
        - parties
    AdhocTransactionAmount:
      type: object
      properties:
        requestedAmount:
          type: number
          format: double
          description: The initial premium amount (deposit amount) paid by the party.
          example: 100
        amountType:
          $ref: "#/components/schemas/AmountType"
        disbursementType:
          $ref: "#/components/schemas/DisbursementType"
        disbursementPaymentForm:
          $ref: "#/components/schemas/DisbursementPaymentForm"
        loanType:
          $ref: "#/components/schemas/LoanType"
        loanInterestType:
          type: string
          enum:
            - FIXED
            - INDEXED
            - VARIABLE
            - ADJUSTABLE
          description: Loan Interest Type - Selected by user from dropdown values, default
            to Fixed
      required:
        - requestedAmount
        - amountType
        - disbursementType
        - disbursementPaymentForm
        - loanType
        - loanInterestType
    AdhocFundAllocation:
      type: object
      properties:
        allocationOption:
          $ref: "#/components/schemas/AllocationOption"
      required:
        - allocationOption
    TaxWithholdingInstructions:
      type: object
      properties:
        partyId:
          type: string
          example: Party_PI_1
          description: Impacted Party in the event of financial transaction
        taxWithholdingType:
          $ref: "#/components/schemas/TaxWithholdingType"
        taxRateToUse:
          $ref: "#/components/schemas/TaxRateToUse"
        filingStatus:
          $ref: "#/components/schemas/FilingStatus"
        dollar:
          type: number
          format: double
          example: 10
          description: Requested amount value
        percentage:
          type: number
          format: double
          example: 50
          description: Requested percentage value
        exemptions:
          type: number
          format: int32
          example: 0
          description: Requested exemptions value
        taxJurisdiction:
          type: string
          example: USA
          description: Requested amount value
      required:
        - partyId
        - taxWithholdingType
        - taxRateToUse
    PartyRole:
      type: string
      enum:
        - OWNER
        - PRIMARYBENEFICIARY
        - CONTINGENTBENEFICIARY
        - INSURED
        - PAYOR
        - PAYEE
        - AGENT
        - THIRDPARTYDESIGNEE
      description: Party Role
    AdhocDisbursementParty:
      type: object
      properties:
        partyRole:
          $ref: "#/components/schemas/PartyRole"
        partyId:
          type: string
          description: Pending Review by Product Team
          example: Party_PI_1
        paymentForm:
          $ref: "#/components/schemas/PaymentForm"
        allocationPercentage:
          type: number
          format: double
          description: At Policy Level for Each Applicable Fund (Everly there is only one
            Fixed) Therefore this be 100%
          example: 100
        bankId:
          type: string
          example: Bank_1
          description: Comes in Acord 103
        addressId:
          type: string
          example: "1"
          description: Address Id
        forBenefitOfOrForFurtherCredit:
          type: string
          example: TBD
          description: FBO - For Benefit Of, FFC - For Further Credit. To notate a second
            beneficiary or to designate a person or organization when funds are
            disbursed out.
      required:
        - partyId
        - paymentForm
        - allocationPercentage
    AmountType:
      type: string
      enum:
        - AMOUNT
        - PERCENTAGE
        - MAX
        - FREEWITHDRAWALAMOUNT
        - WITHDRAWALUNTILBASIS
        - EARNINGSONLY
        - PRORATA
      description: Amount Type selected by user. Following is dropdown list 1. Amount
        -- If selected user should be able to enter Amount for Transaction
        Amount field 2. Percent -- If selected user should be able to enter
        Percentage for Transaction Amount field 3. Max -- If selected user
        should NOT be able to enter Amount. Auto calculated using Maximum
        Withdrawal Amount. 4. Free Withdrawal Amount -- If selected user should
        NOT be able to enter Amount. Auto calcualted using Free Withdrawal
        Amount. 5. Withdraw Until Basis ---- If selected user should NOT be able
        to enter Amount. Auto calcualted using Cost Basis.
    DisbursementType:
      type: string
      enum:
        - GROSS
        - NET
        - NETNET
      description: The type of amount for  withdrawal such as Gross or Net
    DisbursementPaymentForm:
      type: string
      enum:
        - DTCC
        - EFT
        - ACH
        - CHECK
        - WIRE
      description: The type of disbursement method such as DTCC,EFT or credit
        card.Default EFT.
    LoanType:
      type: string
      enum:
        - PREFERRED
        - NONPREFERREDSTANDARDLOAN
        - INDEXLOAN
      description: Loan Types - Selected by user from dropdown values, default to
        Non-Preferred Standard Loan
    AllocationOption:
      type: string
      enum:
        - PRORATA
        - DOLLAR
        - SPECIFYPERCENTAGE
        - SPECIFIEDFUNDS
        - SPECIFIEDSEGMENTS
        - DEFAULT
        - PECKINGORDER
        - EARNINGSONLY
      description: Defines the format of how the funds are removed, i.e. dollar,
        percentage, pro-rata, etc.
    TaxWithholdingType:
      type: string
      enum:
        - FEDERAL
        - STATE
        - NRA
        - BACKUP
    TaxRateToUse:
      type: string
      enum:
        - NOWITHHOLDINGELECTED
        - USEVALUESENTERED
        - NOWITHHOLDINGALLOWED
        - USEDEFAULTTABLE
        - ADDITIONALWITHHOLDING
      description: How tax rate should be applied for withholding
    FilingStatus:
      type: string
      enum:
        - SINGLE
        - DOMESTICPARTNERSHIP
        - DEFAULT
        - MARRIED
        - HEADOFHOUSEHOLD
        - MARRIEDFILINGSEPARATELY
        - WIDOWED
        - DIVORCED
    PaymentForm:
      type: string
      enum:
        - DTCC
        - CREDITCARD
        - ACH
        - CHECK
        - WIRE
        - EXCHANGE
        - EFT
      description: Mode of payment
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://uat.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
